summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Jim Capozzoli <saltmiser@gmail.com>2010-05-11 15:00:25 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:00:25 +0200
commit113f169bb4319192773761c2566003fc0df86b2b (patch)
tree09e685a945d54fd43138163b433a9337e6bfd012 /multimedia
parentc1ce7970c01057a8c5a6d5be8ccc0f0f4a04acbd (diff)
downloadslackbuilds-113f169bb4319192773761c2566003fc0df86b2b.tar.gz
slackbuilds-113f169bb4319192773761c2566003fc0df86b2b.tar.xz
multimedia/cd-discid: Initial import
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/cd-discid/Makefile.diff24
-rw-r--r--multimedia/cd-discid/README7
-rw-r--r--multimedia/cd-discid/cd-discid.SlackBuild80
-rw-r--r--multimedia/cd-discid/cd-discid.info8
-rw-r--r--multimedia/cd-discid/slack-desc8
5 files changed, 127 insertions, 0 deletions
diff --git a/multimedia/cd-discid/Makefile.diff b/multimedia/cd-discid/Makefile.diff
new file mode 100644
index 0000000000..9f35cf0fae
--- /dev/null
+++ b/multimedia/cd-discid/Makefile.diff
@@ -0,0 +1,24 @@
+diff -Nur cd-discid-0.9.orig/Makefile cd-discid-0.9/Makefile
+--- cd-discid-0.9.orig/Makefile 2003-01-05 14:18:07.000000000 -0600
++++ cd-discid-0.9/Makefile 2007-02-01 09:35:54.000000000 -0600
+@@ -9,7 +9,7 @@
+ # Installation directories
+ prefix = ${DESTDIR}/usr
+ exec_prefix = ${prefix}
+-mandir = ${prefix}/share/man/man1
++mandir = ${prefix}/man/man1
+ bindir = ${exec_prefix}/bin
+ etcdir = ${DESTDIR}/etc
+
+@@ -32,9 +32,9 @@
+
+ install: cd-discid
+ $(INSTALL) -d -m 755 $(bindir)
+- $(INSTALL) -s -m 755 -o 0 cd-discid $(bindir)
++ $(INSTALL) -s -m 755 cd-discid $(bindir)
+ $(INSTALL) -d -m 755 $(mandir)
+- $(INSTALL) -m 644 -o 0 cd-discid.1 $(mandir)
++ $(INSTALL) -m 644 cd-discid.1 $(mandir)
+
+ tarball:
+ @cd .. && tar czvf cd-discid_$(VERSION).orig.tar.gz \
diff --git a/multimedia/cd-discid/README b/multimedia/cd-discid/README
new file mode 100644
index 0000000000..53d8936972
--- /dev/null
+++ b/multimedia/cd-discid/README
@@ -0,0 +1,7 @@
+cd-discid is a backend utility to get CDDB discid information from
+a CD-ROM disc. It was originally designed for abcde (AKA cdgrab),
+but can be used for any purpose requiring CDDB data.
+
+Try running it as root (using sudo or whatever) if it thinks you're trying to
+make it read a data cd.
+
diff --git a/multimedia/cd-discid/cd-discid.SlackBuild b/multimedia/cd-discid/cd-discid.SlackBuild
new file mode 100644
index 0000000000..5b6f0e896f
--- /dev/null
+++ b/multimedia/cd-discid/cd-discid.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+# Slackware build script for cd-discid
+
+#
+# Copyright 2007 Jim Capozzoli <saltmiser@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=cd-discid
+VERSION=0.9
+PATCH=0.9-1
+CWD=`pwd`
+PKG_VERSION=0.9
+TMP=${TMP:-/tmp/SBo}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+
+cd $TMP
+tar -xzvf $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Apply a patch to Makefile to fix mandir and prevent setting ownership during
+# the install. The mandir could easily be done by passing the 'mandir'
+# variable to 'make install' but the ownership setting can't be omitted any
+# other way. This isn't a huge issue, but I'm probably not the only one who
+# likes to test scripts as a normal user before running them as root, and the
+# ownership setting has to be removed for that to work. --robw810
+patch -p1 < $CWD/Makefile.diff
+
+CFLAGS="$SLKCFLAGS" make || exit
+make install DESTDIR=$PKG || exit
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README changelog $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+strip --strip-unneeded $PKG/usr/bin/cd-discid
+gzip -9 $PKG/usr/man/man1/*.?
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/cd-discid/cd-discid.info b/multimedia/cd-discid/cd-discid.info
new file mode 100644
index 0000000000..269492c12e
--- /dev/null
+++ b/multimedia/cd-discid/cd-discid.info
@@ -0,0 +1,8 @@
+PRGNAM="cd-discid"
+VERSION="0.9"
+HOMEPAGE="http://www.hispalinux.es/~data/files/cd-discid/"
+DOWNLOAD="http://www.hispalinux.es/~data/files/cd-discid/cd-discid_0.9.orig.tar.gz"
+MD5SUM="64677b8b63d1db0db015043f5455171a "
+MAINTAINER="Jim Capozzoli"
+EMAIL="saltmiser@gmail.com"
+APPROVED="robw810"
diff --git a/multimedia/cd-discid/slack-desc b/multimedia/cd-discid/slack-desc
new file mode 100644
index 0000000000..f746bdb623
--- /dev/null
+++ b/multimedia/cd-discid/slack-desc
@@ -0,0 +1,8 @@
+cd-discid: Backend utility to retrieve CDDB discid information
+cd-discid:
+cd-discid: cd-discid is a backend utility to get CDDB discid information from
+cd-discid: a CD-ROM disc. It was originally designed for abcde (AKA cdgrab),
+cd-discid: but can be used for any purpose requiring CDDB data.
+cd-discid:
+cd-discid:
+cd-discid: